# HG changeset patch
# Node ID 24ce78ab82e5
# Parent  648a1b5dd96a
diff --git a/libpurple/purpleaccount.c b/libpurple/purpleaccount.c
--- a/libpurple/purpleaccount.c
+++ b/libpurple/purpleaccount.c
@@ -828,7 +828,7 @@
 	 * if the [class@Purple.Protocol] that this account is for allows optional
 	 * passwords.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_REQUIRE_PASSWORD] = g_param_spec_boolean(
 		"require-password", "require-password",
@@ -841,7 +841,7 @@
 	 *
 	 * The user information or profile for the account.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_USER_INFO] = g_param_spec_string(
 		"user-info", "user-info",
@@ -854,7 +854,7 @@
 	 *
 	 * The path to the file to use as the avatar for this account.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_BUDDY_ICON_PATH] = g_param_spec_string(
 		"buddy-icon-path", "buddy-icon-path",
@@ -867,7 +867,7 @@
 	 *
 	 * Whether or not this account should track the user's global status.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_ENABLED] = g_param_spec_boolean(
 		"enabled", "enabled",
@@ -881,7 +881,7 @@
 	 * Whether or not the password for this account should be stored in the
 	 * configured [class@CredentialProvider].
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_REMEMBER_PASSWORD] = g_param_spec_boolean(
 		"remember-password", "remember-password",
@@ -895,7 +895,7 @@
 	 * The [class@Connection] object for this account. This will be %NULL when
 	 * the account is offline.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_CONNECTION] = g_param_spec_object(
 		"connection", "connection",
@@ -908,7 +908,7 @@
 	 *
 	 * The identifier of the protocol that this account is using.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_PROTOCOL_ID] = g_param_spec_string(
 		"protocol-id", "protocol-id",
@@ -921,7 +921,7 @@
 	 *
 	 * The [class@ProxyInfo] for this account.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_PROXY_INFO] = g_param_spec_object(
 		"proxy-info", "proxy-info",
@@ -939,7 +939,7 @@
 	 * Setting this will not disconnect an account, but this will be set when
 	 * there is a connection failure.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_ERROR] = g_param_spec_boxed(
 		"error", "error",
@@ -952,7 +952,7 @@
 	 *
 	 * Whether or not the account is connected.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_CONNECTED] = g_param_spec_boolean(
 		"connected", "connected",
@@ -975,7 +975,7 @@
 	 * connecting to `setting-changed::foo` will only be called when the `foo`
 	 * setting is changed.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	signals[SIG_SETTING_CHANGED] = g_signal_new_class_handler(
 		"setting-changed",
@@ -997,7 +997,7 @@
 	 * [property@Connection:state] has changed to
 	 * %PURPLE_CONNECTION_STATE_CONNECTED.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	signals[SIG_CONNECTED] = g_signal_new_class_handler(
 		"connected",
@@ -1018,7 +1018,7 @@
 	 * [property@Connection:state] has changed to
 	 * %PURPLE_CONNECTION_STATE_DISCONNECTED.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	signals[SIG_DISCONNECTED] = g_signal_new_class_handler(
 		"disconnected",
diff --git a/libpurple/purpleaccountmanager.h b/libpurple/purpleaccountmanager.h
--- a/libpurple/purpleaccountmanager.h
+++ b/libpurple/purpleaccountmanager.h
@@ -47,7 +47,7 @@
  *
  * A function used as a callback with purple_account_manager_foreach().
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_TYPE_IN_3_0
 typedef void (*PurpleAccountManagerForeachFunc)(PurpleAccount *account, gpointer data);
@@ -57,7 +57,7 @@
  *
  * A manager that keeps track of all [class@Purple.Account]s.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 
 /**
@@ -67,7 +67,7 @@
  *
  * Returns: (transfer none): The default account manager for libpurple.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleAccountManager *purple_account_manager_get_default(void);
@@ -79,7 +79,7 @@
  *
  * Returns: (transfer none): The default account manager for libpurple.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GListModel *purple_account_manager_get_default_as_model(void);
@@ -91,7 +91,7 @@
  *
  * Adds @account to @manager.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_account_manager_add(PurpleAccountManager *manager, PurpleAccount *account);
@@ -103,7 +103,7 @@
  *
  * Removes @account from @manager.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_account_manager_remove(PurpleAccountManager *manager, PurpleAccount *account);
@@ -116,7 +116,7 @@
  *
  * Moves @account to @new_index in @manager.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_account_manager_reorder(PurpleAccountManager *manager, PurpleAccount *account, guint new_index);
@@ -130,7 +130,7 @@
  * Returns: (transfer container) (element-type PurpleAccount): The list of all
  *          enabled accounts.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GList *purple_account_manager_get_enabled(PurpleAccountManager *manager);
@@ -144,7 +144,7 @@
  * Returns: (transfer container) (element-type PurpleAccount): The list of all
  *          disabled accounts.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GList *purple_account_manager_get_disabled(PurpleAccountManager *manager);
@@ -158,7 +158,7 @@
  * Returns: (transfer container) (element-type PurpleAccount): The list of all
  *          connected accounts.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GList *purple_account_manager_get_connected(PurpleAccountManager *manager);
@@ -172,7 +172,7 @@
  *
  * Returns: (transfer full): The account if found, otherwise %NULL.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleAccount *purple_account_manager_find_by_id(PurpleAccountManager *manager, const gchar *id);
@@ -188,7 +188,7 @@
  *
  * Returns: (transfer full): The account if found, otherwise %NULL.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleAccount *purple_account_manager_find(PurpleAccountManager *manager, const gchar *username, const gchar *protocol_id);
@@ -204,7 +204,7 @@
  *
  * Returns: (transfer full): The account if found, otherwise %NULL.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleAccount * purple_account_manager_find_custom(PurpleAccountManager *manager, GEqualFunc func, gconstpointer data);
@@ -217,7 +217,7 @@
  *
  * Calls @callback with @data for each account that @manager knows about.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_account_manager_foreach(PurpleAccountManager *manager, PurpleAccountManagerForeachFunc callback, gpointer data);
diff --git a/libpurple/purpleaccountmanager.c b/libpurple/purpleaccountmanager.c
--- a/libpurple/purpleaccountmanager.c
+++ b/libpurple/purpleaccountmanager.c
@@ -159,7 +159,7 @@
 	 *
 	 * Emitted after @account was added to @manager.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	signals[SIG_ADDED] = g_signal_new_class_handler(
 		"added",
@@ -180,7 +180,7 @@
 	 *
 	 * Emitted after @account was removed from @manager.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	signals[SIG_REMOVED] = g_signal_new_class_handler(
 		"removed",
@@ -208,7 +208,7 @@
 	 * something like `account-changed::enabled` and your callback will only
 	 * be called when the enabled property of @account has been changed.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	signals[SIG_ACCOUNT_CHANGED] = g_signal_new_class_handler(
 		"account-changed",
@@ -237,7 +237,7 @@
 	 * something like `account-setting-changed::use-tls` and your callback will
 	 * only be called when the `use-tls` setting of @account has been changed.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	signals[SIG_ACCOUNT_SETTING_CHANGED] = g_signal_new_class_handler(
 		"account-setting-changed",
@@ -261,7 +261,7 @@
 	 * means that your callback will be called for any account that @manager
 	 * knows about.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	signals[SIG_ACCOUNT_CONNECTED] = g_signal_new_class_handler(
 		"account-connected",
@@ -284,7 +284,7 @@
 	 * This means that your callback will be called for any account that
 	 * @manager knows about.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	signals[SIG_ACCOUNT_DISCONNECTED] = g_signal_new_class_handler(
 		"account-disconnected",
diff --git a/libpurple/purpleaccountoption.h b/libpurple/purpleaccountoption.h
--- a/libpurple/purpleaccountoption.h
+++ b/libpurple/purpleaccountoption.h
@@ -43,7 +43,7 @@
  * This is set by protocols, and appears in the account settings
  * dialogs.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 typedef struct _PurpleAccountOption		PurpleAccountOption;
 
@@ -65,7 +65,7 @@
  *
  * Returns: The account option.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleAccountOption *purple_account_option_new(PurplePrefType type, const gchar *text, const gchar *pref_name);
@@ -78,7 +78,7 @@
  *
  * Returns: (transfer full): A new copy of @option.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleAccountOption *purple_account_option_copy(PurpleAccountOption *option);
@@ -93,7 +93,7 @@
  *
  * Returns: The account option.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleAccountOption *purple_account_option_bool_new(const gchar *text, const gchar *pref_name, gboolean default_value);
@@ -108,7 +108,7 @@
  *
  * Returns: The account option.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleAccountOption *purple_account_option_int_new(const gchar *text, const gchar *pref_name, gint default_value);
@@ -123,7 +123,7 @@
  *
  * Returns: The account option.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleAccountOption *purple_account_option_string_new(const gchar *text, const gchar *pref_name, const gchar *default_value);
@@ -146,7 +146,7 @@
  *
  * Returns: The account option.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleAccountOption *purple_account_option_list_new(const gchar *text, const gchar *pref_name, GList *list);
@@ -157,7 +157,7 @@
  *
  * Destroys an account option.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_account_option_destroy(PurpleAccountOption *option);
@@ -169,7 +169,7 @@
  *
  * Sets the default boolean value for an account option.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_account_option_set_default_bool(PurpleAccountOption *option, gboolean value);
@@ -181,7 +181,7 @@
  *
  * Sets the default integer value for an account option.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_account_option_set_default_int(PurpleAccountOption *option, gint value);
@@ -193,7 +193,7 @@
  *
  * Sets the default string value for an account option.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_account_option_set_default_string(PurpleAccountOption *option, const gchar *value);
@@ -207,7 +207,7 @@
  * as a hint to the UI that the option's value should be obscured from
  * view, like a password.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_account_option_string_set_masked(PurpleAccountOption *option, gboolean masked);
@@ -222,7 +222,7 @@
  * The list passed will be owned by the account option, and the
  * strings inside will be freed automatically.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_account_option_string_set_hints(PurpleAccountOption *option, GSList *hints);
@@ -241,7 +241,7 @@
  * The list is in key, value pairs. The key is the ID stored and used
  * internally, and the value is the label displayed.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_account_option_set_list(PurpleAccountOption *option, GList *values);
@@ -254,7 +254,7 @@
  *
  * Adds an item to a list account option.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_account_option_add_list_item(PurpleAccountOption *option, const gchar *key, const gchar *value);
@@ -267,7 +267,7 @@
  *
  * Returns: The account option's type.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurplePrefType purple_account_option_get_pref_type(const PurpleAccountOption *option);
@@ -280,7 +280,7 @@
  *
  * Returns: The account option's text.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 const gchar *purple_account_option_get_text(const PurpleAccountOption *option);
@@ -295,7 +295,7 @@
  *
  * Returns: The option's name.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 const gchar *purple_account_option_get_setting(const PurpleAccountOption *option);
@@ -308,7 +308,7 @@
  *
  * Returns: The default boolean value.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 gboolean purple_account_option_get_default_bool(const PurpleAccountOption *option);
@@ -321,7 +321,7 @@
  *
  * Returns: The default integer value.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 gint purple_account_option_get_default_int(const PurpleAccountOption *option);
@@ -334,7 +334,7 @@
  *
  * Returns: The default string value.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 const gchar *purple_account_option_get_default_string(const PurpleAccountOption *option);
@@ -347,7 +347,7 @@
  *
  * Returns: The default list string value.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 const gchar *purple_account_option_get_default_list_value(const PurpleAccountOption *option);
@@ -362,7 +362,7 @@
  *
  * Returns: %TRUE if the option's value should be obscured.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_account_option_string_get_masked(const PurpleAccountOption *option);
@@ -375,7 +375,7 @@
  *
  * Returns: (element-type utf8) (transfer none): A list of hints.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const GSList *purple_account_option_string_get_hints(const PurpleAccountOption *option);
@@ -391,7 +391,7 @@
  *          value to the <type>(const char *)</type> that should be passed to
  *          purple_account_set_string() to set the option.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 GList *purple_account_option_get_list(const PurpleAccountOption *option);
diff --git a/libpurple/purpleaccountpresence.h b/libpurple/purpleaccountpresence.h
--- a/libpurple/purpleaccountpresence.h
+++ b/libpurple/purpleaccountpresence.h
@@ -39,7 +39,7 @@
  * A #PurpleAccountPresence represent the #PurplePresence for a specific
  * #PurpleAccount.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 
 #define PURPLE_TYPE_ACCOUNT_PRESENCE (purple_account_presence_get_type())
@@ -56,7 +56,7 @@
  *
  * Returns: The new presence.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleAccountPresence *purple_account_presence_new(PurpleAccount *account);
@@ -69,7 +69,7 @@
  *
  * Returns: (transfer none): The presence's account.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleAccount *purple_account_presence_get_account(PurpleAccountPresence *presence);
diff --git a/libpurple/purpleaccountusersplit.h b/libpurple/purpleaccountusersplit.h
--- a/libpurple/purpleaccountusersplit.h
+++ b/libpurple/purpleaccountusersplit.h
@@ -42,7 +42,7 @@
  * This is used by some protocols to separate the fields of the username
  * into more human-readable components.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 typedef struct _PurpleAccountUserSplit	PurpleAccountUserSplit;
 
@@ -61,7 +61,7 @@
  *
  * Returns: The new user split.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleAccountUserSplit *purple_account_user_split_new(const gchar *text, const gchar *default_value, gchar sep);
@@ -74,7 +74,7 @@
  *
  * Returns: (transfer full): A copy of @split.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleAccountUserSplit *purple_account_user_split_copy(PurpleAccountUserSplit *split);
@@ -85,7 +85,7 @@
  *
  * Destroys an account username split.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_account_user_split_destroy(PurpleAccountUserSplit *split);
@@ -98,7 +98,7 @@
  *
  * Returns: The account username split's text.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 const gchar *purple_account_user_split_get_text(PurpleAccountUserSplit *split);
@@ -111,7 +111,7 @@
  *
  * Returns: The default string.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 const gchar *purple_account_user_split_get_default_value(PurpleAccountUserSplit *split);
@@ -124,7 +124,7 @@
  *
  * Returns: The field separator.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 gchar purple_account_user_split_get_separator(PurpleAccountUserSplit *split);
@@ -137,7 +137,7 @@
  *
  * Returns: The 'reverse' value.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 PURPLE_AVAILABLE_IN_2_1
 gboolean purple_account_user_split_get_reverse(PurpleAccountUserSplit *split);
@@ -149,7 +149,7 @@
  *
  * Sets the 'reverse' value for an account split.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 PURPLE_AVAILABLE_IN_2_1
 void purple_account_user_split_set_reverse(PurpleAccountUserSplit *split, gboolean reverse);
@@ -165,7 +165,7 @@
  *
  * Returns: %TRUE, if the split is constant.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_account_user_split_is_constant(PurpleAccountUserSplit *split);
@@ -177,7 +177,7 @@
  *
  * Sets the constant parameter of account split.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_account_user_split_set_constant(PurpleAccountUserSplit *split, gboolean constant);
diff --git a/libpurple/purpleaddcontactrequest.h b/libpurple/purpleaddcontactrequest.h
--- a/libpurple/purpleaddcontactrequest.h
+++ b/libpurple/purpleaddcontactrequest.h
@@ -42,7 +42,7 @@
  * information when someone has added you to their contact list, so the user
  * interface can ask the user to add the remote user to their contact list.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 
 #define PURPLE_TYPE_ADD_CONTACT_REQUEST (purple_add_contact_request_get_type())
@@ -62,7 +62,7 @@
  *
  * Returns: The new instance.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleAddContactRequest *purple_add_contact_request_new(PurpleAccount *account, const gchar *username);
@@ -75,7 +75,7 @@
  *
  * Returns: (transfer none): The account.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleAccount *purple_add_contact_request_get_account(PurpleAddContactRequest *request);
@@ -88,7 +88,7 @@
  *
  * Returns: The username of the remote user.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_add_contact_request_get_username(PurpleAddContactRequest *request);
@@ -101,7 +101,7 @@
  * Sets the alias of the remote user to @alias. User interfaces can use this
  * when presenting the authorization request to the end user.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_add_contact_request_set_alias(PurpleAddContactRequest *request, const gchar *alias);
@@ -114,7 +114,7 @@
  *
  * Returns: (nullable): The alias if one was set.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_add_contact_request_get_alias(PurpleAddContactRequest *request);
@@ -127,7 +127,7 @@
  * Sets an optional message from remote user, that the user interface can
  * display to the end user.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_add_contact_request_set_message(PurpleAddContactRequest *request, const gchar *message);
@@ -140,7 +140,7 @@
  *
  * Returns: (nullable): The optional message.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_add_contact_request_get_message(PurpleAddContactRequest *request);
@@ -154,7 +154,7 @@
  *
  * If this is called multiple times, then this does nothing.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_add_contact_request_add(PurpleAddContactRequest *request);
diff --git a/libpurple/purpleaddcontactrequest.c b/libpurple/purpleaddcontactrequest.c
--- a/libpurple/purpleaddcontactrequest.c
+++ b/libpurple/purpleaddcontactrequest.c
@@ -186,7 +186,7 @@
 	 * typically emitted by the user interface calling
 	 * [method@AddContactRequest.add].
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	signals[SIG_ADD] = g_signal_new_class_handler(
 		"add",
@@ -204,7 +204,7 @@
 	 *
 	 * The account that this add contact request is for.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_ACCOUNT] = g_param_spec_object(
 		"account", "account",
@@ -217,7 +217,7 @@
 	 *
 	 * The username of the remote user to be added.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_USERNAME] = g_param_spec_string(
 		"username", "username",
@@ -230,7 +230,7 @@
 	 *
 	 * The alias of the remote user to be added.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_ALIAS] = g_param_spec_string(
 		"alias", "alias",
@@ -243,7 +243,7 @@
 	 *
 	 * The optional message sent from the remote user.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_MESSAGE] = g_param_spec_string(
 		"message", "message",
diff --git a/libpurple/purpleattachment.h b/libpurple/purpleattachment.h
--- a/libpurple/purpleattachment.h
+++ b/libpurple/purpleattachment.h
@@ -40,7 +40,7 @@
  *
  * #PurpleAttachment represents a file attached to a #PurpleMessage.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 
 PURPLE_AVAILABLE_IN_3_0
@@ -53,7 +53,7 @@
  *
  * Called when iterating #PurpleAttachment's.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 typedef void (*PurpleAttachmentForeachFunc)(PurpleAttachment *attachment, gpointer data);
 
@@ -64,7 +64,7 @@
  *
  * Creates a new #PurpleAttachment with the given @id and @content_type.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleAttachment *purple_attachment_new(guint64 id, const gchar *content_type);
@@ -77,7 +77,7 @@
  *
  * Returns: The ID of @attachment.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 guint64 purple_attachment_get_id(PurpleAttachment *attachment);
@@ -92,7 +92,7 @@
  *
  * Returns: (transfer none): The hash key of @attachment.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 guint64 *purple_attachment_get_hash_key(PurpleAttachment *attachment);
@@ -104,7 +104,7 @@
  *
  * Sets the ID of @attachment to @id.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_attachment_set_id(PurpleAttachment *attachment, guint64 id);
@@ -117,7 +117,7 @@
  *
  * Returns: The content-type of @attachment.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_attachment_get_content_type(PurpleAttachment *attachment);
@@ -130,7 +130,7 @@
  *
  * Returns: (nullable): The local URI for @attachment.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_attachment_get_local_uri(PurpleAttachment *attachment);
@@ -142,7 +142,7 @@
  *
  * Sets the local URI of @attachment.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_attachment_set_local_uri(PurpleAttachment *attachment, const gchar *local_uri);
@@ -155,7 +155,7 @@
  *
  * Returns: (nullable): The remote URI for @attachment.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_attachment_get_remote_uri(PurpleAttachment *attachment);
@@ -167,7 +167,7 @@
  *
  * Sets the remote URI of @attachment.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_attachment_set_remote_uri(PurpleAttachment *attachment, const gchar *remote_uri);
@@ -180,7 +180,7 @@
  *
  * Returns: The size of @attachment.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 guint64 purple_attachment_get_size(PurpleAttachment *attachment);
@@ -192,7 +192,7 @@
  *
  * Sets the size of @attachment to @size.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_attachment_set_size(PurpleAttachment *attachment, guint64 size);
@@ -206,7 +206,7 @@
  *
  * Returns: (transfer full): The filename for @attachment.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gchar *purple_attachment_get_filename(PurpleAttachment *attachment);
diff --git a/libpurple/purpleattachment.c b/libpurple/purpleattachment.c
--- a/libpurple/purpleattachment.c
+++ b/libpurple/purpleattachment.c
@@ -151,7 +151,7 @@
 	 *
 	 * The identifier of this attachment.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_ID] = g_param_spec_uint64(
 		"id", "id",
@@ -165,7 +165,7 @@
 	 * The content type of this attachment. This should be a commonly used
 	 * mime type.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_CONTENT_TYPE] = g_param_spec_string(
 		"content-type", "content-type",
@@ -179,7 +179,7 @@
 	 * The local URI of the attachment. That is where the file can be found on
 	 * disk.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_LOCAL_URI] = g_param_spec_string(
 		"local-uri", "local-uri",
@@ -193,7 +193,7 @@
 	 * The remote URI of the attachment. In most cases this is just a base
 	 * filename.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_REMOTE_URI] = g_param_spec_string(
 		"remote-uri", "remote-uri",
@@ -206,7 +206,7 @@
 	 *
 	 * The size of the attachment in bytes.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_SIZE] = g_param_spec_uint64(
 		"size", "size",
diff --git a/libpurple/purpleauthorizationrequest.h b/libpurple/purpleauthorizationrequest.h
--- a/libpurple/purpleauthorizationrequest.h
+++ b/libpurple/purpleauthorizationrequest.h
@@ -42,7 +42,7 @@
  * information when someone has requested authorization to add you to their
  * contact list.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 
 #define PURPLE_TYPE_AUTHORIZATION_REQUEST (purple_authorization_request_get_type())
@@ -62,7 +62,7 @@
  *
  * Returns: The new instance.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleAuthorizationRequest *purple_authorization_request_new(PurpleAccount *account, const gchar *username);
@@ -75,7 +75,7 @@
  *
  * Returns: (transfer none): The account.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleAccount *purple_authorization_request_get_account(PurpleAuthorizationRequest *request);
@@ -88,7 +88,7 @@
  *
  * Returns: The username of the remote user.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_authorization_request_get_username(PurpleAuthorizationRequest *request);
@@ -101,7 +101,7 @@
  * Sets the alias of the remote user to @alias. User interfaces can use this
  * when presenting the authorization request to the end user.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_authorization_request_set_alias(PurpleAuthorizationRequest *request, const gchar *alias);
@@ -114,7 +114,7 @@
  *
  * Returns: (nullable): The alias if one was set.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_authorization_request_get_alias(PurpleAuthorizationRequest *request);
@@ -127,7 +127,7 @@
  * Sets an optional message from remote user, that the user interface can
  * display to the end user.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_authorization_request_set_message(PurpleAuthorizationRequest *request, const gchar *message);
@@ -140,7 +140,7 @@
  *
  * Returns: (nullable): The optional message.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_authorization_request_get_message(PurpleAuthorizationRequest *request);
@@ -153,7 +153,7 @@
  * Sets whether or not the user interface should ask the end user to add the
  * remote user if the remote user was accepted.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_authorization_request_set_add(PurpleAuthorizationRequest *request, gboolean add);
@@ -168,7 +168,7 @@
  * Returns: %TRUE if the user interface should request the end user to add the
  *          remote user back.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_authorization_request_get_add(PurpleAuthorizationRequest *request);
@@ -183,7 +183,7 @@
  * If this is called multiple times, or called after
  * [method@AuthorizationRequest.deny] then this does nothing.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_authorization_request_accept(PurpleAuthorizationRequest *request);
@@ -199,7 +199,7 @@
  * If this is called multiple times, or called after
  * [method@AuthorizationRequest.accept] then this does nothing.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_authorization_request_deny(PurpleAuthorizationRequest *request, const gchar *message);
diff --git a/libpurple/purpleauthorizationrequest.c b/libpurple/purpleauthorizationrequest.c
--- a/libpurple/purpleauthorizationrequest.c
+++ b/libpurple/purpleauthorizationrequest.c
@@ -196,7 +196,7 @@
 	 * Emitted when the user has accepted @request. This is typically emitted
 	 * by the user interface calling [method@AuthorizationRequest.accept].
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	signals[SIG_ACCEPTED] = g_signal_new_class_handler(
 		"accepted",
@@ -217,7 +217,7 @@
 	 * Emitted when the user has denied @request. This is typically emitted
 	 * by the user interface calling [method@AuthorizationRequest.deny].
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	signals[SIG_DENIED] = g_signal_new_class_handler(
 		"denied",
@@ -236,7 +236,7 @@
 	 *
 	 * The account that this authorization request is for.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_ACCOUNT] = g_param_spec_object(
 		"account", "account",
@@ -249,7 +249,7 @@
 	 *
 	 * The username of the remote user that is requesting authorization.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_USERNAME] = g_param_spec_string(
 		"username", "username",
@@ -262,7 +262,7 @@
 	 *
 	 * The alias of the remote user that is requesting authorization.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_ALIAS] = g_param_spec_string(
 		"alias", "alias",
@@ -275,7 +275,7 @@
 	 *
 	 * The optional message sent from the remote user.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_MESSAGE] = g_param_spec_string(
 		"message", "message",
@@ -289,7 +289,7 @@
 	 * Whether or not the user interface should ask the end user to add the
 	 * remote user after accepting the end user's friend request.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_ADD] = g_param_spec_boolean(
 		"add", "add",
